class onRandomTick {
    constructor() {
        this.onRandomTick = this.onRandomTick.bind(this);
    }
    onRandomTick(_componentData) { }
}
export class pepper extends onRandomTick {
    onRandomTick(componentData) {
        const permutation = componentData.block.permutation.getState('bf_dc:growth');
        if (permutation == 0)
            componentData.block.setPermutation(componentData.block.permutation.withState('bf_dc:growth', 1));
    }
}
